ZHA gone awry, not sure where to start

Hope you someone can help.

Ive had a few issues with my zigbee stuff. When it works its great. And my tinkering probably hasnt helped…

Initially installed a cheap dongle to play about with a few plug, switches and bulbs. It started to grow, and the Sonoff zigbee 3.0 dongle seemed to be the hot ticket item. And the cheap dongle fell over and I replaced it. About 4 weeks ago.

Ive bought some ikea bulbs and switches. Which I like. And I have used some blue prints to make them work. All good. But then as we know you spot the next shinett blueprint that does somethinkg extra and you want to change! So I have.

What I seen to have though are shadows of the old blie prints in my code that now report in as errors even though I do not use them anymore. (This is not my main problem, but as soon as you see any logs it is in there!)

Now the New buttons and bulbs I wanted to add last week wouldnt work!

Then Next thing the zigbee coordiantor stopped communicating!

Now its all gone wrong, so I decided to delete all the zigee and start again!

But now the coordinator wonnt even connect to Home Assistant,

I have restored an back up from 2 weeks ago! but still not working…

And Im not realy sure where to start!

I have proxmox PC running home assistant. I can see the hardware in the list on the proxmox interface.

But HA wont connect it!

Please let me know if you could help, and or what logs would be helpful to help diiagnose my problem!

Thanks in advance. hope someone can help.

Rob

Ok home now, looking at this error message when I try to initilaize the connection

Logger: homeassistant.config_entries
Source: components/zha/core/gateway.py:172
First occurred: 21:54:45 (1 occurrences)
Last logged: 21:54:45

Error setting up entry Sonoff Zigbee 3.0 USB Dongle Plus - Sonoff Zigbee 3.0 USB Dongle Plus for zha
Traceback (most recent call last):
File “/usr/local/lib/python3.10/site-packages/zigpy_znp/api.py”, line 998, in request
response = await response_future
asyncio.exceptions.CancelledError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/src/homeassistant/homeassistant/config_entries.py”, line 365, in async_setup
result = await component.async_setup_entry(hass, self)
File “/usr/src/homeassistant/homeassistant/components/zha/init.py”, line 112, in async_setup_entry
await zha_gateway.async_initialize()
File “/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py”, line 185, in async_initialize
raise exc
File “/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py”, line 172, in async_initialize
self.application_controller = await app_controller_cls.new(
File “/usr/local/lib/python3.10/site-packages/zigpy/application.py”, line 144, in new
await app.startup(auto_form=auto_form)
File “/usr/local/lib/python3.10/site-packages/zigpy/application.py”, line 125, in startup
await self.initialize(auto_form=auto_form)
File “/usr/local/lib/python3.10/site-packages/zigpy/application.py”, line 107, in initialize
await self.start_network()
File “/usr/local/lib/python3.10/site-packages/zigpy_znp/zigbee/application.py”, line 196, in start_network
await self._write_stack_settings()
File “/usr/local/lib/python3.10/site-packages/zigpy_znp/zigbee/application.py”, line 704, in _write_stack_settings
current_value = await self._znp.nvram.osal_read(
File “/usr/local/lib/python3.10/site-packages/zigpy_znp/nvram.py”, line 168, in osal_read
length = (await self.znp.request(c.SYS.OSALNVLength.Req(Id=nv_id))).ItemLen
File “/usr/local/lib/python3.10/site-packages/zigpy_znp/api.py”, line 994, in request
async with async_timeout.timeout(
File “/usr/local/lib/python3.10/site-packages/async_timeout/init.py”, line 129, in aexit
self._do_exit(exc_type)
File “/usr/local/lib/python3.10/site-packages/async_timeout/init.py”, line 212, in _do_exit
raise asyncio.TimeoutError
asyncio.exceptions.TimeoutError

And also this one

Logger: homeassistant.components.zha.core.gateway
Source: components/zha/core/gateway.py:172
Integration: Zigbee Home Automation (documentation, issues)
First occurred: 21:54:01 (3 occurrences)
Last logged: 21:54:45

Couldn’t start ZNP = Texas Instruments Z-Stack ZNP protocol: CC253x, CC26x2, CC13x2 coordinator (attempt 1 of 3)
Couldn’t start ZNP = Texas Instruments Z-Stack ZNP protocol: CC253x, CC26x2, CC13x2 coordinator (attempt 2 of 3)
Couldn’t start ZNP = Texas Instruments Z-Stack ZNP protocol: CC253x, CC26x2, CC13x2 coordinator (attempt 3 of 3)
Traceback (most recent call last):
File “/usr/local/lib/python3.10/site-packages/zigpy_znp/api.py”, line 998, in request
response = await response_future
asyncio.exceptions.CancelledError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py”, line 172, in async_initialize
self.application_controller = await app_controller_cls.new(
File “/usr/local/lib/python3.10/site-packages/zigpy/application.py”, line 144, in new
await app.startup(auto_form=auto_form)
File “/usr/local/lib/python3.10/site-packages/zigpy/application.py”, line 125, in startup
await self.initialize(auto_form=auto_form)
File “/usr/local/lib/python3.10/site-packages/zigpy/application.py”, line 76, in initialize
await self.load_network_info(load_devices=False)
File “/usr/local/lib/python3.10/site-packages/zigpy_znp/zigbee/application.py”, line 159, in load_network_info
await self._znp.load_network_info(load_devices=load_devices)
File “/usr/local/lib/python3.10/site-packages/zigpy_znp/api.py”, line 228, in load_network_info
await self._load_network_info(load_devices=load_devices)
File “/usr/local/lib/python3.10/site-packages/zigpy_znp/api.py”, line 104, in _load_network_info
nib = await self.nvram.osal_read(OsalNvIds.NIB, item_type=t.NIB)
File “/usr/local/lib/python3.10/site-packages/zigpy_znp/nvram.py”, line 168, in osal_read
length = (await self.znp.request(c.SYS.OSALNVLength.Req(Id=nv_id))).ItemLen
File “/usr/local/lib/python3.10/site-packages/zigpy_znp/api.py”, line 994, in request
async with async_timeout.timeout(
File “/usr/local/lib/python3.10/site-packages/async_timeout/init.py”, line 129, in aexit
self._do_exit(exc_type)
File “/usr/local/lib/python3.10/site-packages/async_timeout/init.py”, line 212, in _do_exit
raise asyncio.TimeoutError
asyncio.exceptions.TimeoutError

Does this mean anything.

Thanks in advance

Rob